apiVersion: app.kiegroup.org/v2
kind: KieApp
metadata:
  creationTimestamp: '2022-11-22T10:03:25Z'
  generation: 26
  managedFields:
    - apiVersion: app.kiegroup.org/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:applied':
            .: {}
            'f:auth':
              .: {}
              'f:sso':
                .: {}
                'f:adminPassword': {}
                'f:disableSSLCertValidation': {}
                'f:principalAttribute': {}
                'f:realm': {}
                'f:url': {}
            'f:commonConfig':
              'f:amqClusterPassword': {}
              'f:adminUser': {}
              'f:applicationName': {}
              'f:amqPassword': {}
              'f:dbPassword': {}
              .: {}
              'f:keyStorePassword': {}
              'f:adminPassword': {}
              'f:startupStrategy':
                .: {}
                'f:controllerTemplateCacheTTL': {}
                'f:strategyName': {}
            'f:environment': {}
            'f:objects':
              .: {}
              'f:console':
                .: {}
                'f:jvm':
                  .: {}
                  'f:javaInitialMemRatio': {}
                  'f:javaMaxMemRatio': {}
                'f:replicas': {}
                'f:resources':
                  .: {}
                  'f:limits':
                    .: {}
                    'f:cpu': {}
                    'f:memory': {}
                  'f:requests':
                    .: {}
                    'f:cpu': {}
                    'f:memory': {}
                'f:ssoClient':
                  .: {}
                  'f:name': {}
                  'f:secret': {}
            'f:upgrades': {}
            'f:version': {}
          'f:consoleHost': {}
          'f:deployments': {}
          'f:version': {}
      manager: kie-cloud-operator
      operation: Update
      time: '2022-12-13T09:56:55Z'
    - apiVersion: app.kiegroup.org/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:auth':
            .: {}
            'f:sso':
              .: {}
              'f:adminPassword': {}
              'f:disableSSLCertValidation': {}
              'f:realm': {}
              'f:url': {}
          'f:commonConfig':
            .: {}
            'f:adminPassword': {}
            'f:adminUser': {}
          'f:environment': {}
          'f:objects':
            .: {}
            'f:console':
              .: {}
              'f:env': {}
              'f:jvm':
                .: {}
                'f:javaOptsAppend': {}
              'f:ssoClient':
                .: {}
                'f:name': {}
                'f:secret': {}
            'f:servers': {}
      manager: Mozilla
      operation: Update
      time: '2022-12-22T07:13:40Z'
    - apiVersion: app.kiegroup.org/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:app.kiegroup.org': {}
        'f:status':
          'f:applied':
            'f:objects':
              'f:console':
                'f:env': {}
                'f:jvm':
                  'f:javaOptsAppend': {}
              'f:servers': {}
          'f:conditions': {}
          'f:deployments':
            'f:ready': {}
            'f:starting': {}
          'f:phase': {}
      manager: kie-cloud-operator
      operation: Update
      subresource: status
      time: '2022-12-22T08:10:56Z'
  name: rhpamdev
  namespace: openshift-dev-rhpam
  resourceVersion: '1077931767'
  uid: b4b0d949-e9a9-473b-b112-cac5a826b635
spec:
  auth:
    sso:
      adminPassword: admin
      disableSSLCertValidation: true
      realm: PCR-Registered
      url: 'http://sso-rhel8-sso-demo-mysql8.apps.pcrdev.gov.in/auth'
  commonConfig:
    adminPassword: Pamadmin@123
    adminUser: pamadmin
  environment: rhpam-authoring
  objects:
    console:
      env:
        - name: LOGGER_CATEGORIES
          value: >-
            org.jbpm,org.kie,org.eclipse.aether:DEBUG,org.apache.maven:DEBUG,org.hibernate.SQL:DEBUG,org.eclipse.aether.internal.impl:DEBUG
        - name: ENABLE_ACCESS_LOG
          value: 'false'
        - name: JAVA_PROXY_HOST
          value: 10.11.12.9
        - name: JAVA_PROXY_PORT
          value: '8080'
        - name: MAVEN_SETTINGS_XML
          value: /home/jboss/.m2/settings.xml
      jvm:
        javaOptsAppend: '-Djboss.as.management.blocking.timeout=1000'
      ssoClient:
        name: kie-bc
        secret: b3002b3d-1154-4bf2-8ba1-1ffda2072445
    servers:
      - database:
          externalConfig:
            dialect: org.hibernate.dialect.MySQL8Dialect
            driver: mariadb
            host: 10.10.195.176
            name: rhpam
            password: 'rhPaM@!3#$'
            port: '3306'
            username: rhpam_user
          type: external
        env:
          - name: LOGGER_CATEGORIES
            value: >-
              org.jbpm,org.kie,org.eclipse.aether:DEBUG,org.apache.maven:DEBUG,org.hibernate.SQL:DEBUG,org.eclipse.aether.internal.impl:DEBUG
          - name: ENABLE_ACCESS_LOG
            value: 'false'
          - name: JAVA_PROXY_HOST
            value: 10.11.12.9
          - name: JAVA_PROXY_PORT
            value: '8080'
          - name: MAVEN_SETTINGS_XML
            value: /home/jboss/.m2/settings.xml
          - name: JAVA_OPTS_APPEND
            value: >-
              -Dcom.arjuna.ats.jta.orphanSafetyInterval=60000
              -Djboss.as.management.blocking.timeout=1000
        replicas: 1
        ssoClient:
          name: kie-server
          secret: e5dd13de-3021-4638-999e-69e9a8f98ae0
status:
  applied:
    auth:
      sso:
        adminPassword: admin
        disableSSLCertValidation: true
        principalAttribute: preferred_username
        realm: PCR-Registered
        url: 'http://sso-rhel8-sso-demo-mysql8.apps.pcrdev.gov.in/auth'
    commonConfig:
      adminPassword: Pamadmin@123
      adminUser: pamadmin
      amqClusterPassword: HIzN07KP
      amqPassword: apfwJz42
      applicationName: rhpamdev
      dbPassword: tYx6hGdB
      keyStorePassword: bJqmQld6
      startupStrategy:
        controllerTemplateCacheTTL: 5000
        strategyName: OpenShiftStartupStrategy
    environment: rhpam-authoring
    objects:
      console:
        env:
          - name: LOGGER_CATEGORIES
            value: >-
              org.jbpm,org.kie,org.eclipse.aether:DEBUG,org.apache.maven:DEBUG,org.hibernate.SQL:DEBUG,org.eclipse.aether.internal.impl:DEBUG
          - name: ENABLE_ACCESS_LOG
            value: 'false'
          - name: JAVA_PROXY_HOST
            value: 10.11.12.9
          - name: JAVA_PROXY_PORT
            value: '8080'
          - name: MAVEN_SETTINGS_XML
            value: /home/jboss/.m2/settings.xml
        jvm:
          javaInitialMemRatio: 25
          javaMaxMemRatio: 80
          javaOptsAppend: '-Djboss.as.management.blocking.timeout=1000'
        replicas: 1
        resources:
          limits:
            cpu: '2'
            memory: 4Gi
          requests:
            cpu: 1500m
            memory: 3Gi
        ssoClient:
          name: kie-bc
          secret: b3002b3d-1154-4bf2-8ba1-1ffda2072445
      servers:
        - database:
            externalConfig:
              dialect: org.hibernate.dialect.MySQL8Dialect
              driver: mariadb
              host: 10.10.195.176
              name: rhpam
              password: 'rhPaM@!3#$'
              port: '3306'
              username: rhpam_user
            type: external
          deployments: 1
          env:
            - name: LOGGER_CATEGORIES
              value: >-
                org.jbpm,org.kie,org.eclipse.aether:DEBUG,org.apache.maven:DEBUG,org.hibernate.SQL:DEBUG,org.eclipse.aether.internal.impl:DEBUG
            - name: ENABLE_ACCESS_LOG
              value: 'false'
            - name: JAVA_PROXY_HOST
              value: 10.11.12.9
            - name: JAVA_PROXY_PORT
              value: '8080'
            - name: MAVEN_SETTINGS_XML
              value: /home/jboss/.m2/settings.xml
            - name: JAVA_OPTS_APPEND
              value: >-
                -Dcom.arjuna.ats.jta.orphanSafetyInterval=60000
                -Djboss.as.management.blocking.timeout=1000
          jvm:
            javaInitialMemRatio: 25
            javaMaxMemRatio: 80
          name: rhpamdev-kieserver
          replicas: 1
          resources:
            limits:
              cpu: '1'
              memory: 2Gi
            requests:
              cpu: 750m
              memory: 1536Mi
          ssoClient:
            name: kie-server
            secret: e5dd13de-3021-4638-999e-69e9a8f98ae0
    upgrades: {}
    version: 7.13.1
  conditions:
    - lastTransitionTime: '2022-12-19T05:46:46Z'
      message: >-
        template: rhpamdev:17:41: executing "rhpamdev" at
        <.Database.ExternalConfig.Dialect>: nil pointer evaluating
        *v2.ExternalDatabaseObject.Dialect
      reason: ConfigurationError
      status: 'True'
      type: Failed
      version: 7.13.1
    - lastTransitionTime: '2022-12-19T05:46:46Z'
      message: >-
        template: rhpamdev:17:41: executing "rhpamdev" at
        <.Database.ExternalConfig.Dialect>: nil pointer evaluating
        *v2.ExternalDatabaseObject.Dialect
      reason: ConfigurationError
      status: 'True'
      type: Failed
      version: 7.13.1
    - lastTransitionTime: '2022-12-19T05:46:46Z'
      message: >-
        template: rhpamdev:17:41: executing "rhpamdev" at
        <.Database.ExternalConfig.Dialect>: nil pointer evaluating
        *v2.ExternalDatabaseObject.Dialect
      reason: ConfigurationError
      status: 'True'
      type: Failed
      version: 7.13.1
    - lastTransitionTime: '2022-12-19T05:46:46Z'
      message: >-
        template: rhpamdev:17:41: executing "rhpamdev" at
        <.Database.ExternalConfig.Dialect>: nil pointer evaluating
        *v2.ExternalDatabaseObject.Dialect
      reason: ConfigurationError
      status: 'True'
      type: Failed
      version: 7.13.1
    - lastTransitionTime: '2022-12-19T05:46:46Z'
      message: >-
        template: rhpamdev:17:41: executing "rhpamdev" at
        <.Database.ExternalConfig.Dialect>: nil pointer evaluating
        *v2.ExternalDatabaseObject.Dialect
      reason: ConfigurationError
      status: 'True'
      type: Failed
      version: 7.13.1
    - lastTransitionTime: '2022-12-19T05:46:47Z'
      message: >-
        template: rhpamdev:17:41: executing "rhpamdev" at
        <.Database.ExternalConfig.Dialect>: nil pointer evaluating
        *v2.ExternalDatabaseObject.Dialect
      reason: ConfigurationError
      status: 'True'
      type: Failed
      version: 7.13.1
    - lastTransitionTime: '2022-12-19T05:49:42Z'
      status: 'True'
      type: Provisioning
      version: 7.13.1
    - lastTransitionTime: '2022-12-19T05:49:42Z'
      status: 'True'
      type: Deployed
      version: 7.13.1
    - lastTransitionTime: '2022-12-19T06:07:40Z'
      status: 'True'
      type: Provisioning
      version: 7.13.1
    - lastTransitionTime: '2022-12-19T06:07:40Z'
      status: 'True'
      type: Deployed
      version: 7.13.1
    - lastTransitionTime: '2022-12-19T08:50:09Z'
      status: 'True'
      type: Provisioning
      version: 7.13.1
    - lastTransitionTime: '2022-12-19T08:50:09Z'
      status: 'True'
      type: Deployed
      version: 7.13.1
    - lastTransitionTime: '2022-12-19T18:16:43Z'
      status: 'True'
      type: Provisioning
      version: 7.13.1
    - lastTransitionTime: '2022-12-19T18:16:43Z'
      status: 'True'
      type: Deployed
      version: 7.13.1
    - lastTransitionTime: '2022-12-19T18:24:05Z'
      status: 'True'
      type: Provisioning
      version: 7.13.1
    - lastTransitionTime: '2022-12-19T18:24:05Z'
      status: 'True'
      type: Deployed
      version: 7.13.1
    - lastTransitionTime: '2022-12-20T15:33:31Z'
      status: 'True'
      type: Provisioning
      version: 7.13.1
    - lastTransitionTime: '2022-12-20T15:33:31Z'
      status: 'True'
      type: Deployed
      version: 7.13.1
    - lastTransitionTime: '2022-12-21T14:13:31Z'
      status: 'True'
      type: Provisioning
      version: 7.13.1
    - lastTransitionTime: '2022-12-21T14:13:31Z'
      status: 'True'
      type: Deployed
      version: 7.13.1
    - lastTransitionTime: '2022-12-22T05:02:52Z'
      status: 'True'
      type: Provisioning
      version: 7.13.1
    - lastTransitionTime: '2022-12-22T05:02:52Z'
      status: 'True'
      type: Deployed
      version: 7.13.1
    - lastTransitionTime: '2022-12-22T07:13:41Z'
      status: 'True'
      type: Provisioning
      version: 7.13.1
    - lastTransitionTime: '2022-12-22T07:13:41Z'
      status: 'True'
      type: Deployed
      version: 7.13.1
    - lastTransitionTime: '2022-12-22T07:22:31Z'
      status: 'True'
      type: Provisioning
      version: 7.13.1
    - lastTransitionTime: '2022-12-22T07:22:31Z'
      status: 'True'
      type: Deployed
      version: 7.13.1
    - lastTransitionTime: '2022-12-22T07:55:37Z'
      status: 'True'
      type: Provisioning
      version: 7.13.1
    - lastTransitionTime: '2022-12-22T07:55:38Z'
      status: 'True'
      type: Deployed
      version: 7.13.1
    - lastTransitionTime: '2022-12-22T08:10:51Z'
      status: 'True'
      type: Provisioning
      version: 7.13.1
    - lastTransitionTime: '2022-12-22T08:10:51Z'
      status: 'True'
      type: Deployed
      version: 7.13.1
  consoleHost: 'https://rhpamdev-rhpamcentr-openshift-dev-rhpam.apps.pcrdev.gov.in'
  deployments:
    ready:
      - rhpamdev-kieserver
    starting:
      - rhpamdev-rhpamcentr
  phase: Deployed
  version: 7.13.1
